Results 1 to 9 of 9

Thread: Help - Trim roof lines

  1. #1
    topomav
    Guest
    Login to Give a bone
    0

    Default Help - Trim roof lines

    Hi, I use this code to draw 2D and 3d roof . After last update add a Double Offset ROOF-AXIS 0.08 to LAYER ROOF. The problem is that after double offset the lines didnt trim. Can any one help?
    Attached Images Attached Images
    Attached Files Attached Files

  2. #2
    Certifiable AUGI Addict
    Join Date
    2001-03
    Location
    Tallahassee, FL USA
    Posts
    3,667
    Login to Give a bone
    0

    Default Re: Help - Trim roof lines

    Extrim took care of the outside corners and used fillet while holding shift down to toggle radius to 0 to get the inside ones pretty quick.

  3. #3
    topomav
    Guest
    Login to Give a bone
    0

    Default Re: Help - Trim roof lines

    Hi, Tom Beauford. I did that ,but is any way to trim trim lines automatic. By the way extrim didn't trim the lines and I don't know why !!!

    Thanks

  4. #4
    topomav
    Guest
    Login to Give a bone
    0

    Default Re: Help - Trim roof lines

    Here is more complicated example. Need a lot of filet0 , extrend and extrim. Is any way to fix this code?

    Thanks
    Attached Files Attached Files

  5. #5
    topomav
    Guest
    Login to Give a bone
    0

    Default Re: Help - Trim roof lines

    I find a way to do this but i need some help.

    This code create boundaries and delete the old ROOF lines. Now I am trying to explode the boundaries , and overkill them. Can any one help me to fix the code.

    Code:
    (defun c:CleanRoof (/ ss1 ss2)
      (command "layer" "off" "ROOF-AXIS" "")
      (princ "\nObjects to be removed, ")
      (if (setq ss1 (ssget '((0 . "LINE") (8 . "ROOF"))))
        (progn
          (sssetfirst nil nil)
         (command "_layer" "_m" "ROOF" "_c" "90" "" "")
          (command-s "_.-BOUNDARY")
          (command "_.erase" ss1 "")
        ) ; end progn
       ) ; end if
      (if (setq ss2 (ssget "X" '((8 . "ROOF"))))
        (progn
          (sssetfirst nil nil)
          (command "_.explode" ss2 "") ;explode ROOF boundaries
          (command "_.overkill" "l" "" "") ; overkill layer
        ) ; end progn
       ) ; end if
      (command "layer" "on" "ROOF-AXIS" "")
      (princ)
      ) ; end defun
    Thansk
    Attached Files Attached Files

  6. #6
    topomav
    Guest
    Login to Give a bone
    0

    Default Re: Help - Trim roof lines

    Any ideas?

    Thanks

  7. #7
    I could stop if I wanted to
    Join Date
    2002-08
    Posts
    231
    Login to Give a bone
    0

    Default Re: Help - Trim roof lines

    For "explode" make loop for explode entities one by one.

    Code:
    (defun c:CleanRoof (/ ss1 ss2 n ent)
      (command "_.-layer" "_off" "ROOF-AXIS" "")
      (princ "\nObjects to be removed, ")
      (if (setq ss1 (ssget '((0 . "LINE") (8 . "ROOF"))))
        (progn
          (sssetfirst nil nil)
         (command "_layer" "_m" "ROOF" "_c" "90" "" "")
          (command-s "_.-BOUNDARY")
          (command "_.erase" ss1 "")
        ) ; end progn
       ) ; end if
      (if (setq ss2 (ssget "_X" '((8 . "ROOF"))))
        (progn
          (sssetfirst nil nil)
          (repeat (setq n (sslength ss2))
            (setq ent (ssname ss2 (setq n (1- n))))
            (command "_.explode" ent) ;explode ROOF boundaries
          )
          (command "_.overkill" "_l" "" "") ; overkill layer
        ) ; end progn
       ) ; end if
      (command "_.-layer" "_on" "ROOF-AXIS" "")
      (princ)
    )

  8. #8
    All AUGI, all the time
    Join Date
    2003-07
    Posts
    560
    Login to Give a bone
    0

    Default Re: Help - Trim roof lines

    The external trim should work whether using Extrim or a custom trim that uses a offset pline a very small offset, then get the vertices and use a fence option, the internal and the "Y" intersects should be able to be worked out by using again Fence option with ssget, you can then work out the matching pairs of line work. need some time to think about it.
    Attached Images Attached Images

  9. #9
    topomav
    Guest
    Login to Give a bone
    0

    Default Re: Help - Trim roof lines

    Hi BIG-AL. This is the lisp I use for roof and Clean roof with hatch for cleaning and add hatch.

    I don't know any faster way to do it. Some things in lisp is complicated for me, every day learn learn new things from the experience of you in this forum.

    I don't know if you can check the two codes and fix roof lisp to trim and hatch.

    Roof lisp create 2d and 3d roofs. This extra lines is only in 2d roof. (I don't need hatch or extra line in 3d roof)

    Thanks
    Attached Files Attached Files

Similar Threads

  1. Making a tiled or slated roof trim overhang the roof line.
    By PeterJ in forum Revit Architecture - Tips & Tricks
    Replies: 4
    Last Post: 2019-12-23, 11:27 PM
  2. Getting window trim to cut through compound wall trim or sweep?
    By Nasko in forum Revit Architecture - General
    Replies: 6
    Last Post: 2013-02-14, 04:49 PM
  3. Trim, trim objects/selection issue 2010
    By stevej.57608 in forum CAD Management - General
    Replies: 1
    Last Post: 2009-07-08, 04:09 PM
  4. Trim not trimming back to selected trim boundary
    By Wwhite72082 in forum AutoCAD General
    Replies: 7
    Last Post: 2007-03-23, 01:47 PM
  5. Columns and beams: to trim or not to trim?
    By patricks in forum Revit Architecture - General
    Replies: 0
    Last Post: 2006-02-16, 03:07 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •